Subject: Re: [Bitcoin-development] On OP_RETURN in upcoming 0.9 release

From: Jeff Garzik <[email-masked]>
Date: Mon, 24 Feb 2014 12:10:26 -0500

This PR reduces the size to 40 bytes:
https://github.com/bitcoin/bitcoin/pull/3737

(Note - this is not intended to close the discussion... please do keep
sending in feedback)

On Mon, Feb 24, 2014 at 11:03 AM, Jeff Garzik <[email-masked]> wrote:
> An update in forthcoming 0.9 release includes a change to make
> OP_RETURN standard, permitted a small amount of metadata to be
> attached to a transaction:
> https://github.com/bitcoin/bitcoin/pull/2738
>
> There was always going to be some level of controversy attached to
> this.  However, some issues, perceptions and questions are bubbling
> up, and it seemed fair to cover them on the list, not just IRC.
>
> 1) FAQ:  Why 80 bytes of data?  This is the leading programmer
> question, and it was not really documented well at all.  Simple
> answer:  2x SHA256 or 1x SHA512, plus some tiny bit of metadata.  Some
> schemes are of the nature "BOND<hash>" rather than just plain hash.
> A common IRC proposal seems to lean towards reducing that from 80.
> I'll leave it to the crowd to argue about size from there. I do think
> regular transactions should have the ability to include some metadata.
>
> 2) Endorsement of chain data storage.  Listening to bitcoin conference
> corridor discussions, reading forum posts and the occasional article
> have over-simplified the situation to "core devs endorse data storage
> over blockchain!  let me start uploading my naughty movie collection!
> IM over blockchain, woo hoo!"
>
> Nothing could be further from the truth.  It's a way to make data
> /less damaging/, not an endorsement of data storage in chain as a good
> idea.  MasterCoin and other projects were doing -even worse- things,
> such as storing data in forever-unspendable TX outputs, bloating the
> UTXO for eternity.
>
> It seems reasonable to have a release note to this effect in the 0.9
> release announcement, IMO.
>
> --
> Jeff Garzik
> Bitcoin core developer and open source evangelist
> BitPay, Inc.      https://bitpay.com/

-- 
Jeff Garzik
Bitcoin core developer and open source evangelist
BitPay, Inc.      https://bitpay.com/